## morsmall 0.1

=== src/Makefile ===
default:

headers:
	headache -h .header *.ml *.mli

=== debian/changelog ===
morsmall (0.1-1build6) eoan; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2019 19:01:58 +0200

morsmall (0.1-1build5) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 19:50:20 +0200

morsmall (0.1-1build4) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 17:21:59 +0200

morsmall (0.1-1build3) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jul 2019 10:17:17 +0200

morsmall (0.1-1build2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 10:01:34 +0200

morsmall (0.1-1build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jul 2019 23:19:37 +0200

morsmall (0.1-1) unstable; urgency=medium

  * Initial packaging (closes: #920362)

 -- Ralf Treinen <treinen@debian.org>  Fri, 25 Jan 2019 08:52:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

INSTALLDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_install:
	PREFIX=$(INSTALLDIR) LIBDIR=usr/lib/ocaml make install
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## morsmall 0.2.0

=== debian/changelog ===
morsmall (0.2.0-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: change GPL3 to GPL3+ (thanks to Thorsten Alteholz)
  * d/control: build-dependency morbig requires >= 0.10.0
  * test api-ocaml: more verbose
  * d/rules:
    - override dh_dwz
    - invoke dh_dwz only on archictures where ocaml compiles to native code.

 -- Ralf Treinen <treinen@debian.org>  Tue, 12 Mar 2019 20:52:24 +0100

=== debian/control ===
Source: morsmall
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper-compat (= 12), dh-ocaml,
 ocaml-nox (>= 4.04.0),
 dune,
 ocaml-findlib,
 libppx-deriving-ocaml-dev (>= 4.2.0),
 libmorbig-ocaml-dev (>= 0.10.0)
Standards-Version: 4.3.0
Homepage: https://github.com/colis-anr/morsmall
Vcs-Git: https://salsa.debian.org/ocaml-team/morsmall.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/morsmall

Package: libmorsmall-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Description: OCaml libraries for abstract syntax of shell scripts
 The morsmall library defines a type for abstract syntax trees of
 POSIX shell scripts. It also provides a converter from the concrete
 syntax trees produced by the morbig parser to abstract syntax, and
 a printer from abstract syntax to shell.
 .
 This development library is only useful when you are developing
 OCaml programs that act on shell scripts.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/ocaml/ocamlvars.mk
 
 INSTALLDIR=$(CURDIR)/debian/tmp
 
@@ -11,3 +13,8 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_dwz:
+ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
+	dh_dwz --no-dwz-multifile
+endif

## morsmall 0.3.0

=== Makefile ===
.PHONY: build install uninstall doc tests clean

ifneq ($(PREFIX),)
INSTALL_ARGS := $(INSTALL_ARGS) --prefix $(PREFIX)
endif

ifneq ($(LIBDIR),)
INSTALL_ARGS := $(INSTALL_ARGS) --libdir $(LIBDIR)
endif

build:
	dune build @install
#	ln -sf _build/install/default/bin bin
	ln -sf _build/install/default/lib lib

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

doc:
	dune build @doc
	ln -sf _build/default/_doc doc

tests:
	dune build tests/run.exe
	_build/default/tests/run.exe

clean:
	dune clean
	rm -f bin lib doc
	rm -f morsmall_test_report_*.org

=== src/Makefile ===
default:

headers:
	headache -h .header *.ml *.mli utilities/*.ml utilities/*.mli

=== debian/changelog ===
morsmall (0.3.0-8build10) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:43:11 +0200

morsmall (0.3.0-8build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:04:41 +0200

morsmall (0.3.0-8build8) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:51:35 +0100

morsmall (0.3.0-8build7) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:18:52 +0100

morsmall (0.3.0-8build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:14:08 +0100

morsmall (0.3.0-8build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:26:02 +0100

morsmall (0.3.0-8build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:04:31 +0100

morsmall (0.3.0-8build3) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 17:43:12 +0100

morsmall (0.3.0-8build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 15:41:47 +0200

morsmall (0.3.0-8build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:48:21 +0200

morsmall (0.3.0-8) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:48:26 +0200

morsmall (0.3.0-7) unstable; urgency=medium

  * update to morbig 0.11.0
    - patch taken from upstream: follow Morbig API change
    - bump version of build-dependency libmorbig-ocaml-dev

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Mar 2024 10:45:11 +0100

morsmall (0.3.0-6) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on ocaml-nox (>= 4.04.0).
    + Build-Depends: Drop versioned constraint on libppx-deriving-ocaml-dev (>=
      4.2.0).
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Submit.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:11:28 +0200

morsmall (0.3.0-5) unstable; urgency=medium

  * Team upload.
  * Bump standards-version to 4.6.2.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Fri, 07 Jul 2023 09:09:51 +0200

morsmall (0.3.0-4) unstable; urgency=medium

  * Add upstream/metadata
  * Standards-Version 4.6.0 (no change)
  * Build documentation:
    - add ocaml-odoc to build-dependencies
    - d/rules: invoke "make doc"
    - install html doc
    - add a doc-base entry

 -- Ralf Treinen <treinen@debian.org>  Tue, 05 Oct 2021 04:48:07 +0200

morsmall (0.3.0-3) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Add back empty dh_dwz override to fix FTBFS
  * Add back inclusion of ocamlvars.mk for reproducibility

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jul 2020 15:18:09 +0200

morsmall (0.3.0-2) unstable; urgency=medium

  * Standards-Version 4.5.0 (no change).
  * d/rules: drop override of dh_dwz which is no longer needed.

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Feb 2020 21:05:28 +0100

morsmall (0.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Change build-dependency on dune to ocaml-dune.
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Feb 2020 21:02:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper-compat (= 12), dh-ocaml,
- ocaml-nox (>= 4.04.0),
- dune,
+Build-Depends: debhelper-compat (= 13), dh-ocaml (>= 1.2),
+ ocaml,
+ ocaml-dune,
  ocaml-findlib,
- libppx-deriving-ocaml-dev (>= 4.2.0),
- libmorbig-ocaml-dev (>= 0.10.0)
-Standards-Version: 4.3.0
+ ocaml-odoc,
+ libppx-deriving-ocaml-dev,
+ libmorbig-ocaml-dev (>= 0.11.0)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/colis-anr/morsmall
 Vcs-Git: https://salsa.debian.org/ocaml-team/morsmall.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/morsmall

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

execute_after_dh_auto_build:
	dune build -p $(shell cat debian/debian-dune) @doc

=== debian/tests/control ===
Tests: api-ocaml
Depends: libmorsmall-ocaml-dev, ocaml, ocaml-findlib, ocamlbuild

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
	 https://github.com/colis-anr/morsmall.git \
         refs/tags/([\d.]+)
